using Microsoft.UI.Xaml.Data;
using System;

namespace MangaReader.WinUI.Converters;

public partial class UppercaseConverter : IValueConverter
{
    public object? Convert(object value, Type targetType, object parameter, string language)
    {
        if (value == null)
            return null;

        return value.ToString().ToUpperInvariant();
    }

    public object ConvertBack(object value, Type targetType, object parameter, string language)
    {
        throw new NotImplementedException();
    }
}